.search--drawer-input:focus-visible,
.main-search--input-group input:focus-visible {
    outline: 0;
}

.search-loader {
    padding-top: 20px;
}

.search-drawer-main {
    display: grid;
    grid-template-rows: auto 1fr;
    height: 100%;
}

.serach--drawer-input-group {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    background-color: var(--form_background);
    color: var(--form_text);
    padding: 8px;
    padding-left: 30px;
    border-radius: var(--form_radius);
    border: 1px solid var(--form_border);
    margin-bottom: 25px;
}

.form-input-small .serach--drawer-input-group {
    padding: 0 4px 0 15px;
}

.form-input-medium .serach--drawer-input-group {
    padding: 4px 4px 4px 15px;
}

.search--drawer-input {
    background: transparent;
    border: 0;
    padding: 0;
    font-size: var(--large_text);
    border-radius: 0;
    min-height: auto;
    height: 100%;
}

.form-input-small .search--drawer-input {
    font-size: var(--text);
}

.form-input-medium .search--drawer-input {
    font-size: var(--medium_text);
}

.search-form-button {
    width: 40px;
    height: 40px;
}

.form-input-small .search-form-button {
    width: 36px;
    height: 36px;
}

.form-input-medium .search-form-button {
    width: 42px;
    height: 42px;
}

.form-input-small .search-form-button svg {
    width: 16px;
}

.form-input-medium .search-form-button svg {
    width: 18px;
}

.predictive-search,
.predictive-search--results-body {
    overflow-y: auto;
    height: 100%;
}

.predictive-search--categories+.predictive-search--products,
.predictive-search--products+.predictive--search-collections,
.predictive-search--categories+.predictive--search-collections {
    padding-top: 20px;
    border-top: 1px dashed var(--border_color);
    margin-top: 30px;
}

.predictive-search--categories-link,
.search--result-page-item {
    display: block;
    padding: 6px 0;
    border-radius: 5px;
}

.predictive-search--categories-link-content,
.search--result-page-item-content {
    display: inline-block;
    transition: .3s ease;
}

.predictive-search--categories-link svg,
.search--result-page-item svg {
    margin-right: 10px;
    width: 10px;
    height: auto;
}

.predictive--search-heading {
    padding-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search--results-tab-list {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    gap: 25px;
}

.search--results-tab-list:before {
    content: "";
    background: var(--border_color);
    position: absolute;
    width: 100%;
    height: 1px;
    bottom: -1px;
    opacity: 0.2;
}

.search--results-tab-item.active {
    display: block;
}

.search--results-tab-item-link {
    display: inline-flex;
    align-items: center;
    position: relative;
    padding-bottom: 20px;
    font-size: var(--large_text);
}

.search--results-tab-item-link svg {
    width: 16px;
    height: auto;
    margin-right: 5px;
}

.search--results-tab-item-link:before {
    content: "";
    background: transparent;
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: -1px;
}

.search--result-count {
    min-width: 18px;
    height: 18px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: var(--body_alternate_background);
    border-radius: 4px;
    color: var(--text_color);
    margin-left: 6px;
    font-size: var(--xsmall_text);
    padding: 0 2px;
}

.search--results-tab-item.active .search--results-tab-item-link {
    color: var(--highlight_color);
    font-weight: 600;
}

.search--results-tab-item.active .search--results-tab-item-link:before,
.search--results-tab-item.active .search--results-tab-item-link .search--result-count {
    background-color: var(--highlight_color);
    color: var(--body_background);
}

.search--results-tab-content {
    padding-top: 30px;
}

.search--result-collections-list,
.predictive--search-collections-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 10px;
    row-gap: 20px;
}

.search--result-blogs-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
    row-gap: 20px;
}

.search--result-blogs-list .blog--content {
    padding-top: 10px;
}

.search--result-blogs-list .blog--item-date {
    position: absolute;
    top: 10px;
    left: 10px;
    background: var(--body_background);
    padding: 6px 10px;
    display: inline-block;
    border-radius: 20px;
    font-size: 12px;
    line-height: 1.1;
}

.search--result-link {
    text-align: center;
    padding-top: 30px;
}


/* search page css start */

.main-search--header {
    padding-bottom: 50px;
    border-bottom: 1px solid var(--border_color);
    margin-bottom: 20px;
}

.main-search--header-content {
    max-width: 750px;
    margin: 0 auto;
    display: grid;
    gap: 20px;
}

.main-search--header-content:has(.main-search--tab-list) {
    max-width: 800px;
}

.main-search--tabs {
    display: flex;
    align-items: center;
    background: var(--body_alternate_background);
    border-radius: 50px;
    box-shadow: #0000001a 0 2px 8px;
    justify-content: space-between;
    gap: 20px;
}

.main-search--tabs:has(.main-search--tab-list) {
    padding: 10px;
    padding-left: 20px;
}

.main-search--tab-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    overflow: hidden;
    position: relative;
}

.main-search--tab-item {
    position: relative;
    min-width: 110px;
}

.main-search--tab-link {
    width: 100%;
    padding: 8px 20px;
    display: inline-block;
    border-radius: 20px;
    text-align: center;
    position: relative;
}

.main-search--tab-link span {
    position: relative;
    z-index: 1;
}

.main-search--tab-item.active .main-search--tab-link {
    color: var(--body_background);
    background: var(--text_color);
}

.background-effect {
    background: var(--text_color);
    position: absolute;
    height: 100%;
    left: 0;
    transition: .2s cubic-bezier(.4, 0, .2, 1);
    border-radius: 30px;
    transform: translateX(var(--bgeffect-translate, 0%));
}

.main-search--input-box {
    flex-grow: 1;
}

.main-search--input-group {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 10px;
    border-radius: 40px;
    color: var(--form_text);
    align-items: center;
    padding: 9px 9px 9px 25px;
    background: var(--form_background);
}

.main-search--input-group input {
    background: transparent;
    border: 0;
    border-radius: 0;
    min-height: auto;
    padding: 0;
    height: 100%;
}

.main-search--result-heading {
    padding-bottom: 20px;
}

.search-article-list,
.search-page-list {
    display: grid;
    column-gap: 30px;
    row-gap: 60px;
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

.search-page-list {
    grid-template-columns: repeat(4, minmax(0, 1fr));
}

.search-page-item {
    width: 100%;
    background: var(--body_alternate_background);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    min-height: 300px;
    border-radius: var(--card_radius);
    flex-direction: column;
}

.search-page-icon svg {
    width: 60px;
    height: auto;
}

.search-page-title {
    display: block;
    padding-top: 20px;
    text-align: center;
}


/* search page css end*/

@media (min-width:1025px) {

    .predictive-search--categories-link,
    .search--result-page-item {
        padding: 10px 0;
    }

    .predictive-search--categories-link:hover,
    .search--result-page-item:hover {
        background: var(--body_alternate_background);
    }

    .predictive-search--categories-link:hover .predictive-search--categories-link-content,
    .search--result-page-item:hover .search--result-page-item-content {
        transform: translateX(20px);
    }

    .main-search--tab-item.animate .main-search--tab-link {
        color: var(--body_background);
    }

    .search-form-button {
        width: 48px;
        height: 48px;
    }
}

@media (max-width: 991px) {
    .main-search--header-content:has(.main-search--tab-list) {
        max-width: 750px;
    }

    .search-article-list {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        column-gap: 20px;
        row-gap: 40px;
    }

    .search-page-list {
        grid-template-columns: repeat(3, minmax(0, 1fr));
        column-gap: 10px;
        row-gap: 20px;
    }

    .search-page-item {
        min-height: 200px;
    }

    .search-page-icon svg {
        width: 40px;
    }
}

@media (max-width: 767px) {

    .main-search--header-content,
    .main-search--header-content:has(.main-search--tab-list) {
        max-width: 550px;
    }

    .main-search--tabs {
        flex-direction: column-reverse;
        background: transparent;
        box-shadow: none;
    }

    .main-search--tabs:has(.main-search--tab-list) {
        padding: 0;
    }

    .main-search--input-box {
        width: 100%;
    }

    .main-search--input-group {
        border: 1px solid var(--form_border);
    }

    .main-search--tab-link {
        padding: 8px 15px;
        font-size: var(--text);
    }

    .search-article-list {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        row-gap: 30px;
    }

    .search-page-list {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    .search-page-item {
        min-height: 200px;
    }

    .serach--drawer-input-group {
        padding-left: 20px;
    }

    .search--results-tab-item-link {
        padding-bottom: 15px;
        font-size: var(--medium_text);
    }

    .search--results-tab-list {
        gap: 15px;
    }

    .search-form-button svg {
        width: 15px;
        height: auto;
    }
}